
import 'package:origami_messaging/services/systemMessage.dart';
import 'package:origamicore/models/externalService.dart'; 
import 'package:origamicore/models/packageIndex.dart';
import 'package:origamicore/models/serviceRoute.dart';
import 'package:origamicore/routing/router.dart'; 

import 'models/messagingConfig.dart';

class MessagingIndex extends PackageIndex
{
  MessagingConfig _cf=MessagingConfig();
  @override
  Future jsonConfig(config) { 
    var services=<String, ExtrnalService>{}; 
    for(var a in config)
    {
      if(a['type']=='messaging')
      {
        _cf=MessagingConfig.fromJson(a);
      }
    }
    SystemMessage.attachService(services, _cf);
    Router.addRoute('messaging',ServiceRoute( )..externalServices=services);
  }

  @override
  void restart() { 
  }

  @override
  Future start() { 
  }

  @override
  void stop() { 
  }

}