


import 'dart:io';
 
import 'package:origami_database/database.dart';
import 'package:origami_messaging/messaging.dart';
import 'package:origami_messaging/models/MessagingRoute.dart';
import 'package:origamicore/origamiCore.dart';

void main()async { 
  var core = OrigamiCore(Directory.current.path + '/example/config.json');
  await core.start([
    MessagingIndex(), 
    DatabasesIndex(), 
  ]);
  var data=await MessagingRoute().getSystemMessages({'data':{'userid':'test'}}); 
  print(data.toJson());
  var isread=await MessagingRoute().isNewMessage({'data':{'userid':'test'}}); 
  print(isread.toJson());
}
