import 'package:origamicore/models/serializedObject.dart';

class SystemMessageModel extends SerializedObject
{
  int id;
  int time;
  String title;
  String text;
  SystemMessageModel({this.id,this.time,this.title,this.text,  });
  @override
  void fromJson(dynamic data)
  { 
    if(data['_id']!=null) id=data['_id'];
    if(data['time']!=null) time= (data['time']*1.0).floor();
    if(data['title']!=null) title=data['title'];
    if(data['text']!=null) text=data['text'];
  }
  @override
  dynamic toJson()
  { 
  	var data =<String,dynamic>{};
      data['_id']=id; 
      data['time']=time; 
      data['title']=title; 
      data['text']=text; 
  	return data;
  }
}